variables:
  SW_KERNEL: "0"
  SW_MAJOR: "1"
  SW_MINOR: "4"

before_script:
  - "echo $CI_BUILD_ID"
  - "echo $CI_BUILD_REF_NAME"

stages:
#  - check
  - build
#  - test
  - deploy

build_job:
  script:
    - "make all BOARD=stm32f4-discovery"
  stage: build
  except:
    - tags

#check_job:
#  script:
#    - "make check BOARD=stm32f4-discovery"
#  stage: check
#  except:
#    - tags

deploy_job:
  stage: deploy
  script:
    - "source/scripts/release_number.py"
    - "make deploy BOARD=stm32f4-discovery"
    - "make deploy BOARD=stm32f4-discovery DEBUG=y"
  artifacts:
    paths:
      - ./*.xz
  only:
    - tags

